package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiCustomer;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * AI-客户配置Service接口
 * 
 * @author shi
 * @date 2025-11-26
 */
public interface IAiCustomerService {

    /**
     * 查询AI-客户配置
     * 
     * @param id AI-客户配置主键
     * @return AI-客户配置
     */
    AiCustomer selectAiCustomerById(Long id);

    /**
     * 查询AI-客户配置列表
     * 
     * @param aiCustomer AI-客户配置
     * @return AI-客户配置集合
     */
    List<AiCustomer> selectAiCustomerList(AiCustomer aiCustomer);

    /**
     * 分页查询AI-客户配置列表
     *
     * @param aiCustomer AI-客户配置
     * @return AI-客户配置集合
     */
    IPage<AiCustomer> selectAiCustomerPage(Page page, AiCustomer aiCustomer);

    /**
     * 新增AI-客户配置
     * 
     * @param aiCustomer AI-客户配置
     * @return 结果
     */
    int insertAiCustomer(AiCustomer aiCustomer);

    /**
     * 修改AI-客户配置
     * 
     * @param aiCustomer AI-客户配置
     * @return 结果
     */
    int updateAiCustomer(AiCustomer aiCustomer);

    /**
     * 批量删除AI-客户配置
     * 
     * @param ids 需要删除的AI-客户配置主键集合
     * @return 结果
     */
    int deleteAiCustomerByIds(Long[] ids);

    /**
     * 删除AI-客户配置信息
     * 
     * @param id AI-客户配置主键
     * @return 结果
     */
    int deleteAiCustomerById(Long id);
}
